summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrederic Van Assche2017-05-04 15:13:48 +0200
committerFrederic Van Assche2017-05-04 15:13:48 +0200
commitb783dbfc3cf7248a41578bd7d9ce3cf9930ab142 (patch)
tree65f15ce809eb83279def1c9cb41a43c2ea0caf39
parent00b0b54d81bff931b42131439a8b09cc7d82b532 (diff)
downloadaur-b783dbfc3cf7248a41578bd7d9ce3cf9930ab142.tar.gz
Improved PKGBUILD
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD21
2 files changed, 19 insertions, 14 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 25be6c5891f..0802ae8296c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,18 +1,20 @@
# Generated by mksrcinfo v8
-# Thu May 4 13:10:06 UTC 2017
+# Thu May 4 13:13:35 UTC 2017
pkgbase = python-pylibtiff-git
pkgdesc = A python wrapper of the C libtiff library
pkgver = r138.33735eb
- pkgrel = 1
+ pkgrel = 2
url = https://github.com/pearu/pylibtiff
- arch = any
- license = custom
+ arch = i686
+ arch = x86_64
+ license = BSD
makedepends = python-setuptools
makedepends = git
depends = python-numpy
depends = libtiff
+ provides = python-libtiff
provides = python-pylibtiff
- conflicts = python-pylibtiff
+ replaces = python-libtiff-svn
source = python-pylibtiff::git+https://github.com/pearu/pylibtiff.git
sha256sums = SKIP
diff --git a/PKGBUILD b/PKGBUILD
index 8fa52e64427..0c79b2bbbeb 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,15 +3,15 @@
pkgname=python-pylibtiff-git
pkgver=r138.33735eb
-pkgrel=1
+pkgrel=2
pkgdesc="A python wrapper of the C libtiff library"
-arch=('any')
+arch=('i686' 'x86_64')
url="https://github.com/pearu/pylibtiff"
-license=('custom')
+license=('BSD')
depends=('python-numpy' 'libtiff')
makedepends=('python-setuptools' 'git')
-provides=("${pkgname%-git}")
-conflicts=("${pkgname%-git}")
+provides=('python-libtiff' 'python-pylibtiff')
+replaces=('python-libtiff-svn')
source=("${pkgname%-git}::git+https://github.com/pearu/pylibtiff.git")
sha256sums=('SKIP')
@@ -21,11 +21,14 @@ pkgver() {
}
build() {
- cd $srcdir/pylibtiff
- python setup.py build
+ cd $srcdir/python-pylibtiff
+ python setup.py build
+
+ # Don't care about "ImportError: No module named tif_lzw"
+ python -c "from libtiff import TIFF" || true
}
package() {
- cd $srcdir/pylibtiff
- python setup.py install --root="$pkgdir" --optimize=1
+ cd $srcdir/python-pylibtiff
+ python setup.py install --root="$pkgdir" --optimize=1
}